Skip to main content
GET
/
v1
/
stock
/
eps-estimate
Get EPS Estimates
curl --request GET \
  --url https://api.aries.com/v1/stock/eps-estimate \
  --header 'Authorization: Bearer <token>'
{ "epsEstimates": { "data": [ { "epsAvg": 2.1215999126434326, "epsHigh": 2.309999942779541, "epsLow": 1.8717999458312988, "numberAnalysts": 6, "period": "2027-09-30", "year": 2027, "quarter": 4 }, { "epsAvg": 1.7481000423431396, "epsHigh": 1.850000023841858, "epsLow": 1.6100000143051147, "numberAnalysts": 6, "period": "2027-06-30", "year": 2027, "quarter": 3 }, { "epsAvg": 1.611199975013733, "epsHigh": 1.7200000286102295, "epsLow": 1.4600000381469727, "numberAnalysts": 6, "period": "2027-03-31", "year": 2027, "quarter": 2 } ], "symbol": "AAPL", "freq": "quarterly" } }

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

symbol
string
required

Stock ticker symbol. Required.

Example:

"AAPL"

freq
string

Frequency: annual or quarterly

Example:

"quarterly"

Response

Successful response

epsEstimates
object